﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<%@ Register Assembly="C1.Web.Wijmo.Controls.4" Namespace="C1.Web.Wijmo.Controls.C1GridView"
    TagPrefix="wijmo" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <!--jQuery References-->
    <script src="http://code.jquery.com/jquery-1.8.2.min.js" type="text/javascript"></script>
    <script src="http://code.jquery.com/ui/1.9.1/jquery-ui.min.js" type="text/javascript"></script>
    <script type="text/javascript">
        $(document).ready(function () {
            $("#C1GridView1").keydown(function (e) {
            //check if delete key was pressed
                if (e.key == "Del") {
                    //get selected row to be deleted
                    var selectedRowIndex = $("#C1GridView1").c1gridview("selection").selectedCells()._getSelectedRowsIndicies()[0];
                    //confirm before deleting
                    if (confirm("Are you sure you want to Delete Row " + (selectedRowIndex + 1) + "?")) {
                        //if user clicked OK, postback page with row deleting information 
                        //RowDeleting event is raised.
                        __doPostBack('C1GridView1', 'delete:' + selectedRowIndex);
                    }
                    else {
                        //if user clicks Cancel, do nothing.
                        return false;
                    }

                }
            });
            //clear the default selection when grid renders.
            $("#C1GridView1").c1gridview({
                rendered: function (e) {
                    $("#C1GridView1").c1gridview("selection").clear();
                }
            });
        });
    </script>
</head>
<body>
    <form id="form1" runat="server">
    <wijmo:C1GridView ID="C1GridView1" runat="server" AutogenerateColumns="False" DataKeyNames="ProductID"
        DataSourceID="AccessDataSource1" ClientSelectionMode="SingleRow" AllowKeyboardNavigation="true"
       onrowdeleting="C1GridView1_RowDeleting">
        <Columns>
            <wijmo:C1BoundField DataField="ProductID" HeaderText="ProductID" ReadOnly="True"
                SortExpression="ProductID">
            </wijmo:C1BoundField>
            <wijmo:C1BoundField DataField="ProductName" HeaderText="ProductName" 
                SortExpression="ProductName">
            </wijmo:C1BoundField>
            <wijmo:C1BoundField DataField="UnitPrice" HeaderText="UnitPrice" 
                SortExpression="UnitPrice">
            </wijmo:C1BoundField>
            <wijmo:C1BoundField DataField="UnitsInStock" HeaderText="UnitsInStock" 
                SortExpression="UnitsInStock">
            </wijmo:C1BoundField>
        </Columns>
    </wijmo:C1GridView>
    <asp:AccessDataSource ID="AccessDataSource1" runat="server" DataFile="~/App_Data/C1NWind.mdb"
        SelectCommand="SELECT [ProductID], [ProductName], [UnitPrice], [UnitsInStock] FROM [Products]">
    </asp:AccessDataSource>
</form>
</body>
</html>
